<?php

/**
 * Implements hook_views_data_alter().
 */
function commerce_pvt_views_data_alter(array &$data) {
  if (isset($data['commerce_product_variation'])) {
    $data['commerce_product_variation']['commerce_product_variation_edit_quantity'] = [
      'field' => [
        'title' => t('Edit Quantity'),
        'help' => t('Product variation quantity management field'),
        'id' => 'commerce_product_variation_edit_quantity',
      ],
    ];

    $data['commerce_product_variation']['commerce_product_variation_subtotal'] = [
      'field' => [
        'title' => t('Variation subtotal'),
        'help' => t('Variation subtotal price for given quantity'),
        'id' => 'commerce_product_variation_subtotal',
      ],
    ];
    
    $data['commerce_product_variation']['empty_cart_button'] = [
      'title' => t('Empty cart button'),
      'help' => t('Adds a button for emptying the car, on the Product variations table'),
      'area' => [
        'id' => 'commerce_order_pvt_empty_cart_button',
      ],
    ];

    $data['commerce_product_variation']['commerce_pvt_table_summary'] = [
      'title' => t('Commerce PVT table summary'),
      'help' => t('Adds information about subtotal of variations inside cart.'),
      'area' => [
        'id' => 'commerce_pvt_table_summary',
      ],
    ];
  }
}
